com.cloudera.flume.handlers.thrift

## Class ThriftFlumeEventServer.AsyncClient.close_call

- java.lang.Object
- - org.apache.thrift.async.TAsyncMethodCall
  - - com.cloudera.flume.handlers.thrift.ThriftFlumeEventServer.AsyncClient.close_call

- Enclosing class:
    ThriftFlumeEventServer.AsyncClient

      public static class ThriftFlumeEventServer.AsyncClient.close_call
      extends org.apache.thrift.async.TAsyncMethodCall

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.thrift.async.TAsyncMethodCall

      `org.apache.thrift.async.TAsyncMethodCall.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.async.TAsyncMethodCall

      `client, transport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftFlumeEventServer.AsyncClient.close_call(org.apache.thrift.async.AsyncMethodCallback<ThriftFlumeEventServer.AsyncClient.close_call> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getResult()`
    `void` | `write_args(org.apache.thrift.protocol.TProtocol prot)`

    - ### Methods inherited from class org.apache.thrift.async.TAsyncMethodCall

      `getClient, getFrameBuffer, getSequenceId, getStartTime, getState, getTimeoutTimestamp, hasTimeout, isFinished, onError, prepareMethodCall, transition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThriftFlumeEventServer.AsyncClient.close_call

          public ThriftFlumeEventServer.AsyncClient.close_call(org.apache.thrift.async.AsyncMethodCallback<ThriftFlumeEventServer.AsyncClient.close_call> resultHandler,
                                                       org.apache.thrift.async.TAsyncClient client,
                                                       org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                                                       org.apache.thrift.transport.TNonblockingTransport transport)
                                                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

  - ### Method Detail

    - #### write_args

          public void write_args(org.apache.thrift.protocol.TProtocol prot)
                          throws org.apache.thrift.TException

      Specified by:
        `write_args` in class `org.apache.thrift.async.TAsyncMethodCall`
      Throws:
        `org.apache.thrift.TException`

    - #### getResult

          public void getResult()
                         throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.